.app-container { min-height: 100vh; }

.floatl{
	float: left;
}
.floatr{
	float: right;
}
.default-font {
	font-size: 1.3em;
}

.btn-create{
	padding: 10px !important;
	background-color: #00ff87 !important;
	color: #37033b !important;
	border: 1px solid #37033b !important;
}
.btn-create:hover{
	background-color: #37033b !important;
	color: #00ff87 !important;
	border: 1px solid #00ff87 !important;
}
.btn-create.disabled-btn {
	cursor: auto !important;
	filter: grayscale(1);
}
.btn-create.disabled-btn:hover {
	background-color: #00ff87 !important;
	color: #37033b !important;
	border: 1px solid #37033b !important;
}

.is-marginless { margin: 0 !important }
.is-text-center-aligned { text-align: center; }
.pos-left-and-right {
	display: flex;
    flex-wrap: wrap;
    gap: 1em;
    justify-content: space-between;
    align-items: flex-start
}

.is-grid {
	display: grid;
	grid-gap: 1em;
}
.has-collapsible-columns {
	grid-template-columns: repeat(auto-fit,minmax(max(var(--column-width),100% / var(--max-columns)),1fr));
}


/* Photo CSS */
.photos-container {
	display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 0.5rem;
    grid-auto-flow: dense;
}
.photo-item{
    width: 100%;
    height: 100%;
    position: relative;
}
	.photo-item .image {
		width: 100%;
		height: 100%;
		overflow: hidden;
	}
		.photo-item .image img {
			object-fit: cover;
			object-position: 50% 50%;
			cursor: pointer;
			transition: 0.5s ease-in-out;
		}
		.photo-item:hover .image img {
			transform: scale(1.5);
		}
	.photo-item .text {
		opacity: 0;
		pointer-events: none;
		z-index: 4;
		transition: 0.3s ease-in-out;
	}
		.photo-item:hover .text {
			opacity: 1;
			animation: move-down 0.3s linear;
			margin-top: 0.5em;
		}
.w-1 { grid-column: span 1; }
.w-2 { grid-column: span 2; }
.w-3 { grid-column: span 3; }
.w-4 { grid-column: span 4; }

.h-1 { grid-row: 1; }
.h-2 { grid-row: 2; }
.h-3 { grid-row: 3; }
/* Photo CSS */


#overlay {
	position: fixed;
	display: block;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0,0,0,0.5);
	z-index: 1;
}

.field {
	margin: 5px;
}
.field > div {
	display: inline-block;
	width: 30%;
}

.loading {
	text-align: center;
	min-height: 100vh;
}
.screenshot-desc {
	display: inline-block;
	width: 50%;
	padding: 5px 5%;
	vertical-align: top;
}
.failed {
	border-left: 10px solid #ED1E02;
	line-height: 2.5em;
	padding: 0 10px;
}
.graph {
	display: inline-block;
	width: 69%;
}
.toggle {
	margin: -35px -3px 0 0;
	border: 0.5px solid black;
	border-radius: 5px;
	display: inline-block;
}
	.toggle > div {
		display: inline-block;
		padding: 5px;
		cursor: pointer;
		border-radius: 2px;
	}
		.toggle > div:not(.selected):hover {
			background-color: #eee;
			border-radius: 5px;
		}
	.toggle > div.selected{
		background: #37033b;
		color: #00ff87;
	}
.truncate-overflow {
	display: inline-block;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
   	vertical-align: middle;
}

.full-width {
	width: 100% !important;
}

/* Padding */
.mt-vert-pad { padding-top: 1em; padding-bottom: 1em; }
.mt-horz-pad { padding-left: 1em; padding-right: 1em; }
.mt-pad-left { padding-left: 1em; }
.mt-pad-top { padding-top: 1em; }
.mt-pad-right { padding-right: 1em; }
.mt-pad-bottom { padding-bottom: 1em; }
/* Padding */

@media (max-width: 768px) {
	.screenshot {
		width: 100%;
	}
	.screenshot-desc {
		margin-top: 1rem;
		width: 100%;
		padding: 5px;
	}
	.graph {
		width: 100%;
	}
}

@media screen and (max-width: 640px) {
	.w-1, .w-2, .w-3, .w-4, .w-5 { grid-column: span 1; }
	.h-1, .h-2, .h-3, .h-4, .h-5 { grid-row: span 1; }
	.mob-marginless { margin: 0 ; }
	.mob-has-horz-pad { padding-left: 1em; padding-right: 1em; }
	.mob-paddingless { padding: 0; }
	.mob-horz-no-pad { padding-left: 0; padding-right: 0; }
}
